Name:           athena-mate-base
Version:        2.0.0
Release:        1%{?dist}
Summary:        MATE base configuration for Athena OS

License:        LicenseRef-custom
URL:            https://gitlab.com/athenaos/packages/desktop/athena-mate-base
Source0:        dconf-panel.ini
Source1:        athena-mate-applications.menu
Source2:        mate-init.desktop
Source3:        mate-init

BuildArch:      noarch

Requires:       caja
Requires:       eom
Requires:       marco
Requires:       mate-control-center
Requires:       mate-desktop
Requires:       mate-media
Requires:       mate-panel
Requires:       mate-polkit
Requires:       mate-power-manager
Requires:       mate-session-manager
Requires:       mate-utils
Requires:       xdg-user-dirs
Requires:       xorg-x11-drv-libinput

%description
MATE base configuration for Athena OS. Installs panel layouts, autostart files,
and other settings that provide a consistent MATE desktop experience.

%prep
# Nothing to unpack

%build
# Nothing to build

%install
install -dm 755 %{buildroot}/etc/skel
install -dm 755 %{buildroot}/etc/xdg/autostart
install -dm 755 %{buildroot}/etc/xdg/menus/applications-merged
install -dm 755 %{buildroot}/usr/bin
install -dm 755 %{buildroot}/usr/share/mate

install -Dm 644 %{SOURCE2} %{buildroot}/etc/xdg/autostart/mate-init.desktop
install -Dm 644 %{SOURCE1} %{buildroot}/etc/xdg/menus/applications-merged/athena-mate-applications.menu
install -Dm 755 %{SOURCE3} %{buildroot}/usr/bin/mate-init
install -Dm 644 %{SOURCE0} %{buildroot}/usr/share/mate/dconf-panel.ini
touch %{buildroot}/etc/skel/.flag-mate-once

%files
%license
%doc
/etc/skel/.flag-mate-once
/etc/xdg/autostart/mate-init.desktop
/etc/xdg/menus/applications-merged/athena-mate-applications.menu
/usr/bin/mate-init
/usr/share/mate/dconf-panel.ini

%changelog
* Sun Apr 21 2025 Little Owl <littleowl@athenaos.org>
- Initial RPM packaging for MATE base setup in Athena
